rte_bbdev_op_dec_turbo_cb_params(3)

NAME
rte_bbdev_op_dec_turbo_cb_params

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

uint16_t k
uint32_t e

Detailed Description

Turbo decode code block parameters

Definition at line 329 of file rte_bbdev_op.h.

Field Documentation

  uint16_t k
The K size of the input CB, in bits [40:6144], as specified in 3GPP TS 36.212. This size is inclusive of CRC bits, regardless whether it was pre-calculated by the application or not.

Definition at line 335 of file rte_bbdev_op.h.

  uint32_t e
The E length of the CB rate matched LLR output, in bytes, as in 3GPP TS 36.212.

Definition at line 339 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.